--- title: "Role" slug: "partner-api-global-role" updated: 2022-06-17T05:58:11Z published: 2022-06-17T05:58:11Z canonical: "developer.comm100.com/partner-api-global-role" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # Role You need the Manage Site permission to manage roles. - `Roles` - Roles Manage - `GET global/sites/{siteId}/roles` - [Get site Roles](/docs/partner-api-global-role#get-site-roles) ## Role JSON Format Role is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | Id of the role. | | `name` | string | Name of the role. | | `description` | string | Description of the role. | | `type` | string | "Administrators" and "AllAgents" are the system role types. The default role types cannot be deleted. Allowed values are "Administrators", "AllAgents", "Custom". | | `agentIds` | array | The selected agents for this role.If not offered, will use role identifier of "AllAgents" as default. | | `permissionIds` | array | Permissions assigned to this role. | ## Get site Roles `GET global/sites/{siteId}/roles` - #### Parameters: | Name | Type | in | Required | Description | | --- | --- | --- | --- | --- | | `include` | string | query | no | Allowed values are "agent", "permission". | - #### Response: An array of [Role](/docs/partner-api-global-role#role-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/sites/100/roles \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "c8448a05-ede0-4adc-bb43-6b1ee3977b9c", "name": "Pre-sale", "description": "Pre-sale role", "type": "Custom", "agentIds": [ "3FA2EF45-7D46-EB11-8100-00155D081D0B" ], "permissionIds": [ "4,5" ] } ] ```